<template>
    <app-layout>
        <template #header>File Manager</template>
        <panel>
            <template #breadcrumbs>
                <inertia-link :href="'/files/' + userId" class="text-blue-500 font-bold" :class="{'text-red-700':breadcrumb.length == 0,}" v-if="username && username != $page.user.name">{{username}}'s Files</inertia-link>
                <inertia-link href="/files" class="text-blue-500 font-bold" v-else>My Files</inertia-link>
                <div v-for="(item,i) in breadcrumb" :key="i">
                    <span class="mx-2">/</span>
                    <inertia-link :href="'/files/' + path.split('/').slice(0,i+2).join('/')" class="text-blue-500 font-bold" v-if="i < breadcrumb.length-1">{{item}}</inertia-link>
                    <span v-else class="text-red-700">{{item}}</span>
                </div>
            </template>
            <div class="py-2 px-4">
                <h3 class="text-lg font-bold">Uh Oh!</h3>
                <p>That file or folder does not exist.</p>
                <p v-if="username">Please get with the user to make sure you have the right file.</p>
            </div>
        </panel>
    </app-layout>
</template>

<style>
.editor {
  width: 100%;
  height: 50vh;
  min-height: 500px;
  @apply rounded-b;
}
</style>

<script>
    export default {
        props: {
            path: String,
            username: String,
        },
        data(){
            const breadcrumb = this.path.split('/');
            const userId = breadcrumb.shift();
            return {
                breadcrumb,
                userId,
            }
        },
    }
</script>